<?php
$routes->group(
	'cadastro-de-ancoras', 
	[
		'namespace' => 'Modules\Cad_ancora\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cad_ancora::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cad_ancora::cadastrar');
		$routes->post('cadastrando', 'Cad_ancora::cadastrando');
		
		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cad_ancora::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cad_ancora::alterando/$1');
		
		$routes->get('deletando-cadastro/(:any)', 'Cad_ancora::deletar/$1');
	}
);